带宽租赁(自动续费)
取消自动续费租赁
取消持续的带宽租赁并取消委托
POST
/
api
/
v1
/
bandwidth
/
rentals
/
{rental_id}
/
cancel
取消自动续费租赁
curl --request POST \
--url https://api.example.com/api/v1/bandwidth/rentals/{rental_id}/cancelimport requests
url = "https://api.example.com/api/v1/bandwidth/rentals/{rental_id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v1/bandwidth/rentals/{rental_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "<string>",
"undelegate_txid": "<string>"
}取消自动续费租赁
立即停止扣费并取消委托带宽。路径参数
number
必填
租赁 id —— 由“启动自动续费租赁”返回的
id响应
number
唯一租赁标识符
string
租赁状态 —— 成功时为
cancelledstring
链上取消委托交易 id
示例
curl -X POST https://api.tronrental.com/v1/bandwidth/rentals/4321/cancel \
-H "X-API-Key: your_api_key"
Response
{
"id": 4321,
"status": "cancelled",
"undelegate_txid": "def456..."
}
⌘I
取消自动续费租赁
